MonoMac 0.0.0.0 System.ValueType 2D Affine transformation used to convert between coordinate spaces.

An affine transformation uses a matrix to transform poitns between coordinate spaces.

These transformation can be used to rotate, scale, shear and translate points and rectangles from one coordinate system into another.

- Constructor
  0.0.0.0
  The xx component.
  The yx component.
  The xy component.
  The yy component.
  The X translation component.
  The y translation component.
  Initializes an affine transformation from the matrix values.

  Defines an affine transformation matrix with the following components:

  | xx yx 0 |

  | xy yy 0 |

  | tx ty 1 |

  The third column always has the values 0, 0, 1 so only six values need to be provided.

- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform `` Affine transformation to invert. Inverts the affine transformation matrix. If the affine transformation can not be inverted, the same matrix is returned. You can use the inversion matrix to map points in the target coordinate space that had been mapped to the original coordinate space.
- Method
  0.0.0.0
  System.Drawing.RectangleF `` `` The rectangle to transform The affine transformation to apply to the points in the rectangle. Applies an affine transformation to a rectangle. A rectangle whose coordinates have been transformed to the space determined by the affine.
- Method
  0.0.0.0
  System.Boolean `` The object to compare this instance against. Compares the objects for equality. if the objects are equal, if not.
- Method
  0.0.0.0
  System.Int32 The hashcode for this object. An integer value.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform Inverts this affine transformation. If the affine transformation can not be inverted, the matrix does not change. You can use the inversion matrix to map points in the target coordinate space that had been mapped to the original coordinate space.
- Property
  0.0.0.0
  System.Boolean Determines if the affine corresponds to the identity affine. Whether the affine is the identity.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform Returns the identity affine transformation. The identity matrix.

  Sets up an identity transformation, like this:

  | 1 0 0 |

  | 0 1 0 |

  | 0 0 1 |

- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform `` The angle in radians. Returns an affine transformation for the requested rotation angle. The affine transformation for the requested rotation.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform `` `` Scale factor in the X coordinate. Scale factor for the Y coordinate. Returns the affine transformation for the requested scaling in the X and Y coordinates. Returns the affine transformation for the requested scaling in the X and Y coordinates.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform `` `` X translation. Y translation. Return the affine transformation for translating to the requested location. Return the affine transformation for translating to the requested location.
- Method
  0.0.0.0
  System.Void `` The affine used to multiply the current affine by. Multiplies the current affine transformation by the specified affine transformation. Use affine multiplication to compose multiple affine tranformations into a single affine.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform `` `` The first affine. The second affine. Multiplies the two affine transformations and returns the result. The multiplied affine. Use affine multiplication to compose multiple affine tranformations into a single affine.
- Method
  0.0.0.0
  System.Boolean `` `` Left hand side affine. Right hand side affine. Operator overload, compares two affines. if the affines are identical.
- Method
  0.0.0.0
  System.Boolean `` `` Left hand side affine. Right hand side affine. Compares affines for inequality. if the affines are different.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGAffineTransform `` `` First affine transform. Second affine transform. Multiplies the two affine transformations and returns a new affine with the result. New affine transformation with the result.
- Method
  0.0.0.0
  System.Void `` Angle represented in radians. Applies a rotation to the affine by the specified angle in radians. Modifies the affine in place.
- Method
  0.0.0.0
  System.Void `` `` The X scale factor. The Y scale factor. Modify the affine to scale by the specified magnitudes. This method modifies the current affine with the requested scaling factors.
- Method
  0.0.0.0
  System.String Renders the affine in textual form.
- Method
  0.0.0.0
  System.Drawing.PointF `` The point to transform. Transforms the coordinates of the provided point by the affine. The point translated to the new coordinate space.

  The point defined by x, y is transformed like this:

  new_x = xx * x + xy * y + x0;

  new_y = yx * x + yy * y + y0;

- Method
  0.0.0.0
  System.Drawing.RectangleF `` A rectangle to transform. Applies the affine transform to the supplied rectangle and returns the transformed rectangle. The transformed rectangle.
- Method
  0.0.0.0
  System.Void `` `` X value to move the transform by. Y value to move the transform by. Translates the affine transform by modifying every X value by the supplied X parameter and every Y value by the supplied Y parameter.
- Field
  0.0.0.0
  System.Single X translation component of the affine transform.
- Field
  0.0.0.0
  System.Single XX component of the affine.
- Field
  0.0.0.0
  System.Single XY component of the affine.
- Field
  0.0.0.0
  System.Single Y translation component of the affine transformation.
- Field
  0.0.0.0
  System.Single YX component of the affine.
- Field
  0.0.0.0
  System.Single YY component of the affine.